edu.whs.spin2018.baoapp.views.lobby

## Interface LobbyContract.Presenter

- All Superinterfaces:
    BasePresenter<LobbyRemoteDataSource>, LobbyEventListener
  All Known Implementing Classes:
    LobbyPresenter
  Enclosing interface:
    LobbyContract

      public static interface LobbyContract.Presenter
      extends BasePresenter<LobbyRemoteDataSource>, LobbyEventListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beendeDialog()`
    `int` | `gibLobbyBenutzerItemAnzahl()` Liefert die Anzahl an Benutzern in der Lobby.
    `void` | `ladeBenutzerInLobby()` Fordert eine Liste mit den aktuellen Benutzern in der Lobby an.
    `void` | `lehneHerausforderungAb(java.lang.String absenderUUID)` Sendet an den Herausforderer, dass die Herausforderung abgelehnt wurde.
    `void` | `nimmHerausforderungAn(java.lang.String absenderUUID)` Sendet an den Herausforderer, dass die Herausforderung angenommen wurde.
    `void` | `onBindBenutzerItemView(int pos, BenutzerAdapter.BenutzerViewHolder holder)`
    `void` | `sendeHerausforderung(int pos)` Sendet ein Herausforderungsevent an einen Benutzer.

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.presenter.BasePresenter

      `setzeServiceInteractor, stop`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.model.remote.lobby.LobbyEventListener

      `onBenutzerlisteErhalten, onBenutzerTrittRaumBeiErhalten, onBenutzerVerlaesstRaumErhalten, onHerausforderungAngenommenErhalten, onHerausforderungBeendetErhalten, onHerausforderungErhalten`

- - ### Method Detail

    - #### sendeHerausforderung

          void sendeHerausforderung(int pos)

      Sendet ein Herausforderungsevent an einen Benutzer.
      Parameters:
        `pos` - - Position des Benutzers, der herausgefordert werden soll, in der Lobbyliste

    - #### lehneHerausforderungAb

          void lehneHerausforderungAb(java.lang.String absenderUUID)

      Sendet an den Herausforderer, dass die Herausforderung abgelehnt wurde.
      Parameters:
        `absenderUUID` - - UUID des Herausforderers um das Event an die richtige Person zu schicken

    - #### nimmHerausforderungAn

          void nimmHerausforderungAn(java.lang.String absenderUUID)

      Sendet an den Herausforderer, dass die Herausforderung angenommen wurde.
      Parameters:
        `absenderUUID` - - UUID des Herausforderers

    - #### ladeBenutzerInLobby

          void ladeBenutzerInLobby()

      Fordert eine Liste mit den aktuellen Benutzern in der Lobby an.

    - #### beendeDialog

          void beendeDialog()

    - #### onBindBenutzerItemView

          void onBindBenutzerItemView(int pos,
                                      BenutzerAdapter.BenutzerViewHolder holder)

    - #### gibLobbyBenutzerItemAnzahl

          int gibLobbyBenutzerItemAnzahl()

      Liefert die Anzahl an Benutzern in der Lobby.
      Returns:
        Anzahl der Benutzer in der Lobby